summaryrefslogtreecommitdiffstats
path: root/network/dropbear/rc.dropbear.new
diff options
context:
space:
mode:
author Piter PUNK2010-05-11 20:01:31 +0200
committer Alan Hicks2010-05-11 20:01:31 +0200
commit4476709274ae0b8a97d086b75673707639dc8b61 (patch)
tree69e171d4decc0e417062d0892c2f1ecb81626d0f /network/dropbear/rc.dropbear.new
parent661f29ab0becfdd1a0e394cf41b497aa61719a78 (diff)
downloadslackbuilds-4476709274ae0b8a97d086b75673707639dc8b61.tar.gz
network/dropbear: Added to 12.0 repository
Diffstat (limited to 'network/dropbear/rc.dropbear.new')
-rw-r--r--network/dropbear/rc.dropbear.new52
1 files changed, 52 insertions, 0 deletions
diff --git a/network/dropbear/rc.dropbear.new b/network/dropbear/rc.dropbear.new
new file mode 100644
index 0000000000..81f92e266f
--- /dev/null
+++ b/network/dropbear/rc.dropbear.new
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Start/stop/restart the dropbear secure shell server:
+
+dropbear_start() {
+ # Create host keys if needed.
+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ]; then
+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key
+ fi
+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ]; then
+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key
+ fi
+ /usr/sbin/dropbear 2>> /var/log/dropbear.log
+}
+
+dropbear_stop() {
+ killall dropbear
+}
+
+dropbear_restart() {
+ if [ -r /var/run/dropbear.pid ]; then
+ echo "WARNING: killing listener process only. To kill every dropbear process, you "
+ echo " must use 'rc.dropbear stop'. 'rc.dropbear restart' kills only the "
+ echo " parent dropbear to allow an admin logged in through dropbear to use "
+ echo " 'rc.dropbear restart' without being cut off. If dropbear has been "
+ echo " upgraded, new connections will now use the new version, which should "
+ echo " be a safe enough approach."
+ kill `cat /var/run/dropbear.pid`
+ else
+ echo "WARNING: There does not appear to be a parent instance of dropbear running."
+ echo " If you really want to kill all running instances of dropbear "
+ echo " (including any sessions currently in use), run "
+ echo " '/etc/rc.d/rc.dropbear stop' instead."
+ exit 1
+ fi
+ sleep 1
+ dropbear_start
+}
+
+case "$1" in
+'start')
+ dropbear_start
+ ;;
+'stop')
+ dropbear_stop
+ ;;
+'restart')
+ dropbear_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
+